Package com.android.server.os

# Class LinphoneTombstoneProtos.Signal

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Signal,LinphoneTombstoneProtos.Signal.Builder>
com.android.server.os.LinphoneTombstoneProtos.Signal

All Implemented Interfaces:
  `LinphoneTombstoneProtos.SignalOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.Signal extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Signal,LinphoneTombstoneProtos.Signal.Builder> implements LinphoneTombstoneProtos.SignalOrBuilder
Protobuf type `Signal`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.Signal.Builder`
Protobuf type `Signal`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CODE_FIELD_NUMBER`
`static final int`
`CODE_NAME_FIELD_NUMBER`
`static final int`
`FAULT_ADDRESS_FIELD_NUMBER`
`static final int`
`FAULT_ADJACENT_METADATA_FIELD_NUMBER`
`static final int`
`HAS_FAULT_ADDRESS_FIELD_NUMBER`
`static final int`
`HAS_SENDER_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final int`
`NUMBER_FIELD_NUMBER`
`static final int`
`SENDER_PID_FIELD_NUMBER`
`static final int`
`SENDER_UID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`int`
`getCode()`
`int32 code = 3;`
`String`
`getCodeName()`
`string code_name = 4;`
`com.google.protobuf.ByteString`
`getCodeNameBytes()`
`string code_name = 4;`
`static LinphoneTombstoneProtos.Signal`
`getDefaultInstance()`
`long`
`getFaultAddress()`
`uint64 fault_address = 9;`
`LinphoneTombstoneProtos.MemoryDump`
`getFaultAdjacentMetadata()`
Note, may or may not contain the dump of the actual memory contents.
`boolean`
`getHasFaultAddress()`
`bool has_fault_address = 8;`
`boolean`
`getHasSender()`
`bool has_sender = 5;`
`String`
`getName()`
`string name = 2;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 2;`
`int`
`getNumber()`
`int32 number = 1;`
`int`
`getSenderPid()`
`int32 sender_pid = 7;`
`int`
`getSenderUid()`
`int32 sender_uid = 6;`
`boolean`
`hasFaultAdjacentMetadata()`
Note, may or may not contain the dump of the actual memory contents.
`static LinphoneTombstoneProtos.Signal.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.Signal.Builder`
`newBuilder(LinphoneTombstoneProtos.Signal prototype)`
`static LinphoneTombstoneProtos.Signal`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.Signal`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.Signal`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.Signal>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### NUMBER_FIELD_NUMBER

public static final int NUMBER_FIELD_NUMBER

See Also:
  - Constant Field Values

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### CODE_FIELD_NUMBER

public static final int CODE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CODE_NAME_FIELD_NUMBER

public static final int CODE_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### HAS_SENDER_FIELD_NUMBER

public static final int HAS_SENDER_FIELD_NUMBER

See Also:
  - Constant Field Values

### SENDER_UID_FIELD_NUMBER

public static final int SENDER_UID_FIELD_NUMBER

See Also:
  - Constant Field Values

### SENDER_PID_FIELD_NUMBER

public static final int SENDER_PID_FIELD_NUMBER

See Also:
  - Constant Field Values

### HAS_FAULT_ADDRESS_FIELD_NUMBER

public static final int HAS_FAULT_ADDRESS_FIELD_NUMBER

See Also:
  - Constant Field Values

### FAULT_ADDRESS_FIELD_NUMBER

public static final int FAULT_ADDRESS_FIELD_NUMBER

See Also:
  - Constant Field Values

### FAULT_ADJACENT_METADATA_FIELD_NUMBER

public static final int FAULT_ADJACENT_METADATA_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getNumber

public int getNumber()
`int32 number = 1;`

Specified by:
  `getNumber` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The number.

### getName

public String getName()
`string name = 2;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 2;`

Specified by:
  `getNameBytes` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The bytes for name.

### getCode

public int getCode()
`int32 code = 3;`

Specified by:
  `getCode` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The code.

### getCodeName

public String getCodeName()
`string code_name = 4;`

Specified by:
  `getCodeName` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The codeName.

### getCodeNameBytes

public com.google.protobuf.ByteString getCodeNameBytes()
`string code_name = 4;`

Specified by:
  `getCodeNameBytes` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The bytes for codeName.

### getHasSender

public boolean getHasSender()
`bool has_sender = 5;`

Specified by:
  `getHasSender` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The hasSender.

### getSenderUid

public int getSenderUid()
`int32 sender_uid = 6;`

Specified by:
  `getSenderUid` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The senderUid.

### getSenderPid

public int getSenderPid()
`int32 sender_pid = 7;`

Specified by:
  `getSenderPid` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The senderPid.

### getHasFaultAddress

public boolean getHasFaultAddress()
`bool has_fault_address = 8;`

Specified by:
  `getHasFaultAddress` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The hasFaultAddress.

### getFaultAddress

public long getFaultAddress()
`uint64 fault_address = 9;`

Specified by:
  `getFaultAddress` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The faultAddress.

### hasFaultAdjacentMetadata

public boolean hasFaultAdjacentMetadata()

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

Specified by:
  `hasFaultAdjacentMetadata` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  Whether the faultAdjacentMetadata field is set.

### getFaultAdjacentMetadata

public LinphoneTombstoneProtos.MemoryDump getFaultAdjacentMetadata()

     Note, may or may not contain the dump of the actual memory contents. Currently, on arm64, we
     only include metadata, and not the contents.

`.MemoryDump fault_adjacent_metadata = 10;`

Specified by:
  `getFaultAdjacentMetadata` in interface `LinphoneTombstoneProtos.SignalOrBuilder`
Returns:
  The faultAdjacentMetadata.

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Signal parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Signal parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Signal parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.Signal.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.Signal.Builder newBuilder(LinphoneTombstoneProtos.Signal prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Signal,LinphoneTombstoneProtos.Signal.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.Signal getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.Signal> parser()